// Implementació del servei -- forward 
public class XImpl extends java.rmi.server.UnicastRemoteObject implements X {
  // Constructor para declarar que puede ocurrir "RemoteException"
  public XImpl() throws java.rmi.RemoteException { super(); }

  public long incr(long a) throws java.rmi.RemoteException {
    return a+1;
  }

  public String mesg(String a) throws java.rmi.RemoteException {
    return "!Hola Amigo " + a + "!";
  }
}

